# $Id$

package User::utent::utmpx;

$VERSION = '0.01';

use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK);

require Exporter;
require User::utent;

@ISA		= qw(Exporter User::utent);
@EXPORT		= qw();
@EXPORT_OK	= qw(
    %Struct
    @Member
    @Member_name
    @Member_offset
    %Member_offset
    @Member_size
    %Member_size
    @Member_type
    %Member_type
);

__END__

=head1 NAME

User::utent::utmpx - utmpx structure object

=head1 SYNOPSIS

    # Usually you'd want to use User::utent instead of this pacakge,
    # but you can also use it directly.
    use User::utent::utmpx;

=head1 DESCRIPTION

This package provides the actual User::utent::utmpx object and the functions
which manipulate it.  See L<User::utent> for the documentation, though.

=head1 AUTHOR

Roderick Schertler <F<roderick@argon.org>>

=head1 SEE ALSO

User::utent(3pm), perl(1), getutxent(3), utmpx(4).

=cut
